## org.hibernate.bytecode.cglib
Class ReflectionOptimizerImpl

    java.lang.Object
      org.hibernate.bytecode.cglib.ReflectionOptimizerImpl

All Implemented Interfaces:
  Serializable, ReflectionOptimizer

Deprecated. Per HHH-5451 support for cglib as a bytecode provider has been deprecated.

    @Deprecated
    public class ReflectionOptimizerImpl

extends Object
implements ReflectionOptimizer, Serializable

ReflectionOptimizer implementation for CGLIB.

Author:
  Steve Ebersole
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.hibernate.bytecode.ReflectionOptimizer
`ReflectionOptimizer.AccessOptimizer, ReflectionOptimizer.InstantiationOptimizer`

Constructor Summary
`ReflectionOptimizerImpl(InstantiationOptimizerAdapter instantiationOptimizer, AccessOptimizerAdapter accessOptimizer)` Deprecated.

Method Summary
`ReflectionOptimizer.AccessOptimizer` `getAccessOptimizer()` Deprecated.
`ReflectionOptimizer.InstantiationOptimizer` `getInstantiationOptimizer()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReflectionOptimizerImpl

    public ReflectionOptimizerImpl(InstantiationOptimizerAdapter instantiationOptimizer,
                                   AccessOptimizerAdapter accessOptimizer)

  Deprecated.

Method Detail

### getInstantiationOptimizer

    public ReflectionOptimizer.InstantiationOptimizer getInstantiationOptimizer()

  Deprecated.
  Specified by:
    `getInstantiationOptimizer` in interface `ReflectionOptimizer`

### getAccessOptimizer

    public ReflectionOptimizer.AccessOptimizer getAccessOptimizer()

  Deprecated.
  Specified by:
    `getAccessOptimizer` in interface `ReflectionOptimizer`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.